%define m17n_db_version   1.5.1
%define libotf_version    0.9.5

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           m17n-lib
Summary:        Multilingual text processing library
Version:        1.8.0
Release:        %mkrel 3
Group:          System/Internationalization
License:        LGPLv2+
URL:            https://savannah.nongnu.org/projects/m17n
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(m17n-db) >= %{m17n_db_version}
BuildRequires:  pkgconfig(libthai)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(gdlib)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(anthy) >= 6300d
BuildRequires:  pkgconfig(libotf) >= %{libotf_version}
# (tv) for AM_GNU_GETTEXT:
BuildRequires:  gettext-devel

# NOTE: medit and mdump require this font otherwise you get a SIGFPE
# because the font is not found, thus generating a tab_width=0 in
# layout_glyph_string() and then a division-by-zero.
# --> the bug is rather in the library and should be handled there.
Requires:       fonts-ttf-freefont

Requires:       m17n-db >= %{m17n_db_version}
Requires:       libotf >= %{libotf_version}

%description
The m17n library is a multilingual text processing library for the C
language.


%package -n     %{libname}
Summary:        The m17n library
Group:          System/Internationalization

%description -n %{libname}
m17n library.

%package -n     %{develname}
Summary:        Headers of m17n for development
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q

%build
%configure --disable-static
%__make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/m17n-conv
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/*/*.so

%files -n %{libname}
%{_libdir}/libm17n*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.8.0-3.mga8
+ Revision: 1514967
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1299426
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1221664
- new version: 1.8.0
- command m17n-config is not installed anymore if pkg-config is available

* Fri Apr 13 2018 daviddavid <daviddavid> 1.7.0-3.mga7
+ Revision: 1218275
- rebuild for new libotf 0.9.16

* Fri Feb 12 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 956103
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 fwang <fwang> 1.7.0-1.mga6
+ Revision: 842842
- 1.7.0

* Mon Feb 16 2015 oden <oden> 1.6.4-8.mga5
+ Revision: 815150
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-7.mga5
+ Revision: 745181
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.4-6.mga5
+ Revision: 727054
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-5.mga5
+ Revision: 682113
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.4-4.mga4
+ Revision: 523995
- Mageia 4 Mass Rebuild

* Tue May 28 2013 oden <oden> 1.6.4-3.mga4
+ Revision: 429287
- rebuilt against libgd.so.3

* Sat Jan 12 2013 umeabot <umeabot> 1.6.4-2.mga3
+ Revision: 359248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.6.4-1.mga3
+ Revision: 307510
- new version 1.6.4

* Tue Oct 11 2011 fwang <fwang> 1.6.3-1.mga2
+ Revision: 153788
- new version 1.6.3

* Thu Mar 24 2011 boklm <boklm> 1.6.2-3.mga1
+ Revision: 76191
- rebuild for bug #497

* Fri Mar 18 2011 tv <tv> 1.6.2-2.mga1
+ Revision: 73913
- clean up
- imported package m17n-lib


* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 582895
- fix build
- 1.6.2 final

* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1.6.2-0.RC.1mdv2011.0
+ Revision: 580660
- 1.6.2 RC

* Tue Apr 27 2010 Funda Wang <fwang@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 539485
- new version 1.6.1

* Tue Mar 30 2010 Funda Wang <fwang@mandriva.org> 1.6.0-1mdv2010.1
+ Revision: 529686
- fix BR on thai
- New version 1.6.0

* Sun Feb 14 2010 Funda Wang <fwang@mandriva.org> 1.5.5-2mdv2010.1
+ Revision: 505982
- finally fix m17n dlopen problem.

* Fri Aug 14 2009 Funda Wang <fwang@mandriva.org> 1.5.5-1mdv2010.0
+ Revision: 416295
- new version 1.5.5

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 1.5.4-1mdv2009.1
+ Revision: 351373
- New version 1.5.4

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.3-2mdv2009.1
+ Revision: 301398
- rebuilt against new libxcb

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 1.5.3-1mdv2009.1
+ Revision: 295990
- New version 1.5.3

* Wed Sep 24 2008 Funda Wang <fwang@mandriva.org> 1.5.2-2mdv2009.0
+ Revision: 287761
- recognize new fribidi

* Thu Jun 26 2008 Funda Wang <fwang@mandriva.org> 1.5.2-1mdv2009.0
+ Revision: 229210
- fix requires
- New version 1.5.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 1.5.1-1mdv2008.1
+ Revision: 163516
- disable parallel build
- New version 1.5.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2008.1
+ Revision: 138762
- New version 1.5.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 54233
- Use self-contained bootstrap
- New version


* Wed Jan 10 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-1mdv2007.0
+ Revision: 106863
- add buildrequires on gettext-devel for `AM_GNU_GETTEXT
- new release
- latest snapshot (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- Import m17n-lib

* Wed Aug 16 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.3-3.20060803.2
- rebuild for fixed libxaw soname

* Fri Aug 04 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.3-3.20060803.1mdv2007.0
- latest snapshot
- (better Thai support)
- (http://sourceforge.net/mailarchive/forum.php?thread_id=26116958&forum_id=43684)
- update patch0 for latest m17n-lib

* Mon Jun 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.3-2.20060625.1mdv2007.0
- latest snapshot

* Sat Feb 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.3-1mdk
- new release
- move lib*.so to devel

* Thu Jan 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.1-1mdk
- new release

* Fri Dec 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3.0-1mdk
- new release

* Wed Nov 16 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-7.20051116.1mdk
- latest snapshot
- update patch0

* Wed Aug 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-6.20050809.1mdk
- latest snapshot
- remove patch1 (merged upstream)

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-5.20050425.1mdk
- latest snapshot (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- patch 1: fix compilation with gcc-4.0.0 (Kenichi Handa)

* Fri Mar 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-4mdk
- add "-a" to automake-1.8
- add symlink to ltmain.sh
- add autoheader-2.5x
- spec cleanup
- remove find_lang (it doesn't have po files)
- add some symlinks to libdir since SCIM/UIM open them (#14709)

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-3mdk
- multiarch and move m17n-config to -devel package
- hmmm, forgot a change from older tree, aka nuke explicit libfribidi0 dep

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.0-2mdk
- nuke lib64 rpaths (again)
- fix parallel build (again)

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2.0-1mdk
- new release

* Fri Nov 26 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-4.cvs20041126.2mdk
- latest snapshot
- add BuildRequires: libotf-devel (for OpenType font support)
- add BuildRequires: libfribidi-devel (for Arabic/Hebrew support)

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.0-3mdk
- fix parallel build
- requires: fonts-ttf-freefont for medit, mdump

* Thu Aug 19 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.1.0-2mdk
- add BuildRequires:	libanthy-devel

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.0-1mdk
- new release
- only run bootstrap if needed

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-7.cvs20040714.3mdk
- remove requires on devel packages

* Sat Jul 24 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.2-7.cvs20040714.2mdk
- add BuildRequires: libjpeg-static-devel

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-7.cvs20040714.1mdk
- fix buildrequires
- cvs 20040714 (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.2-7.cvs20040619.2mdk
- add BuildRequires: freetype2-static-devel

* Sun Jun 20 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-7.cvs20040619.1mdk
- cvs 20040619
- remove patch0 (merged)

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-6mdk
- catch another buildrequires

* Tue Jun 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.2-5mdk
- add patch0 (made by James Su <suzhe@tsinghua.org.cn>) for scim-m17n

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-4mdk
- really fix buildrequires (I suck, I suck, I suck, I suck, I suck, I suck, I suck)

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-3mdk
- move plugins' *.so into main lib package since uim opens them through
  dlopen()

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-2mdk
- fix buildrequires
- proper use of %%mklibname

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- initial release (based on UTUMI Hirosi <utuhiro78@yahoo.co.jp> 's work)

